#ACloudyDay.py - launch the game
import numpy
import pygame
from engine.Driver import Driver
from client.CloudyDay import CloudyDay
from client.CloudyDayStart import CloudyDayStart
from common.Utility import *

#optimize!
import psyco
psyco.full()


if __name__ == "__main__":
    #get sound ready
    pygame.mixer.pre_init(44100, -16, 2, 2048)
    pygame.init()
    #set caption
    pygame.display.set_caption("A Cloudy Day")
    #set up screens
    d = Driver(XRES, YRES) #XRES, YRES are defined in common.Utility
    c = CloudyDay()
    cs = CloudyDayStart()
    d.addScene(cs)
    d.addScene(c)
    d.changeScene(0)
    #start and run
    d.main()
